<?php
/* 
 * Utility Functions for an article page
 */

/**
 * Description of SFF_ArticleFunctions
 *
 * @author Rens te Kloese
 */
class SFFArticleFunctions {
    private $articles; // list of pages with special character e.g. inverseOf or isSemmetric


    static public function listPagesWithProperty($property) {
        $store = smwfGetStore();
        $options = new SMWRequestOptions();
        $options->limit = 100;
        $options->sort = true;
        $reverse = false;
        $articles = $store->getAllPropertySubjects($property, $options);
        return $articles;
    }

    static public function listPagesWithPropertyValues($value, $property) {
        $store = smwfGetStore();
        $options = new SMWRequestOptions();
        $options->limit = 100;
        $options->sort = true;
        $reverse = false;
        $propvalue = SMWDataValueFactory::newPropertyObjectValue( $property, $value );
		$articles = $store->getPropertySubjects( $property, $propvalue, $options );

        return $articles;
    }

}
?>


