<?php
/**
 * The class - SFFForm - that represents a user-defined form .
 *
 * @author Yaron Koren
 * @author Rens te Kloese
 *
 * This program is a copy from the Semantic Forms class SFForm
 * and is changed afterwards for the Semantic Frienly Forms extension
 */

class SFFForm {
	var $form_name;
	var $templates;

	static function create($form_name, $templates) {
		$form = new SFFForm();
		$form->form_name = ucfirst(str_replace('_', ' ', $form_name));
		$form->templates = $templates;
		return $form;
	}

	function creationHTML() {
		$text = "";
		foreach ($this->templates as $i => $ft) {
			$text .= $ft->creationHTML($i);
		}
		return $text;
	}

	function createMarkup() {
        wfLoadExtensionMessages('SFF_extension');
		$title = Title::makeTitle( SF_NS_FORM, $this->form_name );
		$ad = SpecialPage::getPage('SFF_AddPage');
		$add_data_url = SFLinkUtils::titleURLString($ad->getTitle()) . "/" . $title->getPartialURL();
		$form_description = wfMsg('sf_form_docu', $this->form_name, $add_data_url);
		$form_input = "{{#sff_forminput:" . $this->form_name . "}}\n";
		$text =<<<END
<noinclude>
$form_description

$form_input
</noinclude><includeonly>

END;
		foreach ($this->templates as $template) {
			$text .= $template->createMarkup() . "\n";
		}
		$free_text_label = wfMsgForContent('sf_form_freetextlabel');
		$text .=<<<END
'''$free_text_label:'''

{{{standard input|free text}}}


{{{standard input|summary}}}

{{{standard input|minor edit}}} {{{standard input|watch}}}

{{{standard input|save}}} {{{standard input|preview}}} {{{standard input|changes}}} {{{standard input|cancel}}}
</includeonly>

END;

		return $text;
	}

}

 

