<?php
/* 
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of SFF_Utils
 *
 * @author Rens te Kloese
 * @author Henri Gerrits
 */

if ( !defined( 'MEDIAWIKI' ) ) die();

class SFFUtils {

    static function buildArrayFromNameSpace($namespace,$listvar) {
        $max_records = 1000;
        $db = wfGetDB( DB_SLAVE );
        $sql = "SELECT page_title FROM {$db->tableName( 'page' )} WHERE page_namespace=" . $namespace . " ORDER BY page_title";
        $res = $db->query( $sql );
        $record = 0;
        $text = 'var '. $listvar . '= [';
        if ($db->numRows( $res ) > 0) {
            while ( ($record < $max_records) && ($row = $db->fetchRow($res) ) ) {
                if ($record != 0) {
                    $text.= ',';
                }
                $list_name = str_replace('_', ' ', $row[0]);
                $text .= '"' . $list_name . '"';
                $record = $record + 1;
            }
        }
        $text .= '];';
        return $text;
    }

    static function getCSSText() {

        $text =<<<END
<!--CSS file (default YUI Sam Skin) -->
<link type="text/css" rel="stylesheet" href="http://yui.yahooapis.com/
2.5.0/build/autocomplete/assets/skins/sam/autocomplete.css">
        
<!-- Dependencies -->
<script type="text/javascript" src="http://yui.yahooapis.com/2.5.0/
build/yahoo-dom-event/yahoo-dom-event.js"></script>

<!-- Source file -->
<script type="text/javascript" src="http://yui.yahooapis.com/2.5.0/
build/autocomplete/autocomplete-min.js"></script>

END;
        return $text;
    }

    /**
     * Returns the names of all properties that include the given category in their domain.
     * @param String $categoryName the name of the category
     * @return array String array containing the property names
     */
    static function getPropertiesForCategory($categoryName) {
        $hasDomainProperty = SMWPropertyValue::makeUserProperty('Has domain');
        $categoryValue = SMWDataValueFactory::newTypeIDValue('_wpg', 'Category:' . $categoryName) ;
        $subjects = smwfGetStore()->getPropertySubjects($hasDomainProperty, $categoryValue);
        $result = array();
        foreach ($subjects as $subject) {
            if ($subject->getNamespace() == SMW_NS_PROPERTY) {
                $result[] = $subject->getText();
            }
        }
        return $result;
    }

    /**
     * Returns the label of the given property as defined by the 'Has label meta property. If no
     * label is defined, this function returns an empty string. If multiple labels are defined, this
     * function returns only the first.
     * @param String $propertyName the name of the property
     * @return String the (first) label defined for the given property
     */
    static function getLabelForProperty($propertyName) {
        $hasLabelProperty = SMWPropertyValue::makeUserProperty('Has label');
        $property = Title::makeTitle(SMW_NS_PROPERTY, $propertyName);
        $labels = smwfGetStore()->getPropertyValues($property, $hasLabelProperty);
        return $labels ? $labels[0]->getShortHTMLText() : '';
    }
}
