<?php
/**
 * Internationalization file for the Semantic Forms extension
 *
 * @addtogroup Extensions
*/

$messages = array();

/** English
 * @author Rens te Kloese
 * @author Henri Gerrits
 */
$messages['en'] = array(
	// user messages
    'sff_template'                  => 'List Templates',
    'sff_template_extended'         => 'List of all available templates.',
    'sff_extension_name'            => 'SFF Extension',
    'sff_ext_description'           => 'Semantic Friendy Forms extension ABI project 2009',
    'specialpages-group-sff_group'  => 'Semantic Friendly Forms',
    'sff_editform'                  => 'Edit a form',
    'sff_editform_extended'         => 'List of all existing Forms. Click one to edit the form:',
    'sff_editform_nameinput'        => 'Enter the name of the Form to add (new) or edit (existing):  ',
    'sff_editform_add'              => 'Add or Edit',

    'sff_createproperty'            => 'Create a property',
    'sff_editproperty'              => 'Edit a property',

    'sff_createtemplate'            => 'Create a template',
    'sff_edittemplate'              => 'Edit a template',

    //Add or edit data:
    'sff_adddata'                   => 'Add data',
    'sff_editdata'                  => 'Edit data',
    'sff_addpage'                   => 'Add a page',
    'sff_addpage_property'          => 'This field defines the property',
    'sff_adddata_badurl'            => 'This is the page for adding data. You must specify both a form name and a target page in the URL;
it should look like \'Special:SFF_AddData?form=&lt;form name&gt;&target=&lt;target page&gt;\', or  \'Special:SFF_AddData/&lt;form name&gt;/&lt;target page&gt;\'.',
    'sff_editdata_badurl'           => 'This is the page for editing data. You must specify both a form name and a target page in the URL;
it should look like \'Special:SFF_EditData?form=&lt;form name&gt;&target=&lt;target page&gt;\', or  \'Special:SFF_EditData/&lt;form name&gt;/&lt;target page&gt;\'.',

// Template / category / aggegation
    'sff-category_from_template'    => 'This template is categorized by: ',
    'sff_aggregation_template'      => 'Used aggregation property:',

    // edit property page titles
    'sff-editproperty-title-choose'         => 'Create or Edit a Property',
    'sff-editproperty-title-create'         => 'Create Property: $1',
    'sff-editproperty-title-createnew'      => 'Create New Property',
    'sff-editproperty-title-edit'           => 'Edit Property: $1',
    // edit property labels for the choose view
    'sff-editproperty-choose-header'        => 'Add a <a href="$1">new</a> property or select an existing one below:',
    // edit property labels for the form in edit view
    'sff-editproperty-edit-name-label'      => 'Name:',
    'sff-editproperty-edit-type-label'      => 'Type:',
    'sff-editproperty-edit-range-label'     => 'Range:',
    'sff-editproperty-edit-domain-label'    => 'Domain:',
    'sff-editproperty-edit-inverseof-label' => 'Inverse of:',
    'sff-editproperty-edit-symmetric-label' => 'Symmetric:',
    'sff-editproperty-edit-label-label'     => 'Label:',
    'sff-editproperty-edit-comment-label'   => 'Comment:',
    'sff-editproperty-edit-defaultform-label' => 'Default form:',
    'sff-editproperty-edit-allowedvalues-label' => 'If you want this field to only be allowed to have certain values, enter the list of allowed values, separated by commas (if a value contains a comma, replace it with "\,"):',
    // edit property wikitext used to generate text for new properties / existing properties with new meta properties
    'sff-editproperty-text-type'            => 'The type of this property is $1.',
    'sff-editproperty-text-range'           => 'Values for this property lie in range $1.',
    'sff-editproperty-text-domain'          => 'This property belongs to domain $1.',
    'sff-editproperty-text-inverseof'       => 'This property is the inverse of $1.',
    'sff-editproperty-text-symmetric'       => 'This property is symmetric $1.',
    'sff-editproperty-text-true'            => 'Yes',
    'sff-editproperty-text-false'           => 'No',
    'sff-editproperty-text-notdefined'      => 'Not defined',
    'sff-editproperty-text-label'           => 'The default label for this property is $1.',
    'sff-editproperty-text-comment'         => 'The comment for this property is $1.',
    'sff-editproperty-text-defaultform'     => 'This property uses the form $1.',
    'sff-editproperty-text-allowedvalues'   => 'The allowed values for this property are: $1',
    'sff-editproperty-text-valuenotset'     => '(not set)',
    // error messages
    'sff-editproperty-edit-error-nameblank' => 'The property must have a name',

    // edit template page titles
    'sff-edittemplate-title-choose'         => 'Create or Edit a Template',
    'sff-edittemplate-title-create'         => 'Create New Template',
    'sff-edittemplate-title-edit'           => 'Edit Template: $1',
    // edit template labels for the choose view
    'sff-edittemplate-choose-header'        => 'Add a <a href="$1">new</a> template or select an existing one below:',
    // edit template labels for the edit view
    'sff-edittemplate-edit-loadproperties'  => 'Add fields from Category',

    // error messages
    'sff-edittemplate-edit-error-nameblank' => 'The template must have a name',

    // tooltips
    'sff-cancel-tooltip'                    => 'Cancel changes to $1'
);


/** Dutch (Nederlands) */
$messages['nl'] = array(
    'sff_template'                  => 'Lijst met sjablonen',
    'sff_template_extended'         => 'Lijst met alle bestaande sjablonen.',
    'sff_extension_name'            => 'SFF Extensie',
    'sff_ext_description'           => 'Semantic Friendly Forms extensie ABI project 2009',
    'specialpages-group-sff_group'  => 'Semantic Friendly Forms',
    'sff_editform'                  => 'Een formulier bewerken',
    'sff_editform_extended'         => 'Lijst met alle bestande Formulieren. Klik op een formulier op deze te bewerken:',
    'sff_editform_nameinput'        => 'Geef de naam van het formulier op om deze toe te voegen of te bewerken:  ',
    'sff_editform_add'              => 'Toevoegen of bewerken',

    'sff_createproperty'             => 'Een eigenschap aanmaken',
    'sff_editproperty'               => 'Een eigenschap bewerken',

    'sff_createtemplate'             => 'Een sjabloon aanmaken',
    'sff_edittemplate'               => 'Een sjabloon bewerken',

    //Add or edit data:
    'sff_adddata'                   => 'Gegevens toevoegen',
    'sff_editdata'                  => 'Gegevens bewerken',
    'sff_addpage'                   => 'Pagina toevoegen met formulier',
    'sff_addpage_property'          => 'Dit veld bepaalt de eigenschap',
    'sff_adddata_badurl'            => "Dit is de pagina om gegevens toe te voegen. Geef zowel een formuliernaam als een doelpagina op in de URL. Het hoort eruit te zien als 'Special:SFF_AddData?form=&lt;form name&gt;&target=&lt;target page&gt;' of  'Special:SFF_AddData/&lt;form name&gt;/&lt;target page&gt;'.",
    'sff_editdata_badurl'           => "Dit is de pagina om gegevens te bewerken. Geeft zowel een formuliernaam als een doelpagina op in de URL. Het hoort eruit te zien als 'Special:SFF_EditData?form=&lt;form name&gt;&target=&lt;target page&gt;' of  'Special:SFF_EditData/&lt;form name&gt;/&lt;target page&gt;'.",

    // Template / category:
    'sff-category_from_template'    => 'De sjabloon wordt gecategoriseerd door: ',
    'sff_aggregation_template'      => 'Gebruikte aggregatie eigenschap:',

    // edit property page titles
    'sff-editproperty-title-choose'         => 'Bewerk een eigenschap of voeg een nieuwe toe',
    'sff-editproperty-title-create'         => 'Maak eigenschap aan: $1',
    'sff-editproperty-title-createnew'      => 'Maak nieuwe eigenschap aan',
    'sff-editproperty-title-edit'           => 'Bewerk eigenschap: $1',
    // edit property labels for the choose view
    'sff-editproperty-choose-header'        => 'Voeg een <a href="$1">nieuwe</a> eigenschap toe of kies een bestaande uit onderstaande lijst om deze te bewerken:',
    // edit property labels for the form in edit view
    'sff-editproperty-edit-name-label'      => 'Naam:',
    'sff-editproperty-edit-type-label'      => 'Type:',
    'sff-editproperty-edit-range-label'     => 'Bereik:',
    'sff-editproperty-edit-domain-label'    => 'Domein:',
    'sff-editproperty-edit-inverseof-label' => 'Inverse van:',
    'sff-editproperty-edit-symmetric-label' => 'Symmetrisch:',
    'sff-editproperty-edit-label-label'     => 'Label:',
    'sff-editproperty-edit-comment-label'   => 'Toelichting:',
    'sff-editproperty-edit-defaultform-label' => 'Standaardformulier:',
    'sff-editproperty-edit-allowedvalues-label' => 'Als dit veld alleen bepaalde waarden mag hebben, vul dan een lijst van waarden in, gescheiden door komma\'s (als een waarde komma\'s bevat, vervang die door "\\,"):',
    // edit property wikitext used to generate text for new properties / existing properties with new meta properties
    'sff-editproperty-text-type'            => 'Dit is een eigenschap van type $1.',
    'sff-editproperty-text-range'           => 'De waarden van deze eigenschap liggen in het bereik $1.',
    'sff-editproperty-text-domain'          => 'Deze eigenschap behoort tot het domein $1.',
    'sff-editproperty-text-inverseof'       => 'Deze eigenschap is de inverse van $1.',
    'sff-editproperty-text-symmetric'       => 'Deze eigenschap is symmetrisch $1.',
    'sff-editproperty-text-true'            => 'Ja',
    'sff-editproperty-text-false'           => 'Nee',
    'sff-editproperty-text-notdefined'      => 'Niet aangegeven',
    'sff-editproperty-text-label'           => 'Het standaardlabel voor deze eigenschap is $1.',
    'sff-editproperty-text-comment'         => 'De toelichting voor deze eigenschap is $1.',
    'sff-editproperty-text-defaultform'     => 'Deze eigenschap gebruikt formulier $1.',
    'sff-editproperty-text-allowedvalues'   => 'De toegelaten waarden voor deze eigenschap zijn: $1',
    'sff-editproperty-text-valuenotset'     => '(niet ingesteld)',
    // error messages
    'sff-editproperty-edit-error-nameblank' => 'De eigenschap moet een naam hebben',

    // edit template page titles
    'sff-edittemplate-title-choose'         => 'Bewerk een sjabloon of voeg een nieuwe toe',
    'sff-edittemplate-title-create'         => 'Maak sjabloon aan',
    'sff-edittemplate-title-edit'           => 'Bewerk sjabloon: $1',
    // edit template labels for the choose view
    'sff-edittemplate-choose-header'        => 'Voeg een <a href="$1">nieuwe</a> sjabloon toe of kies een bestaande uit onderstaande lijst om deze te bewerken:',
    // edit template labels for the edit view
    'sff-edittemplate-edit-loadproperties'  => 'Eigenschappen van Categorie toevoegen',

    // error messages
    'sff-edittemplate-edit-error-nameblank' => 'De sjabloon moet een naam hebben',

    // tooltips
    'sff-cancel-tooltip'                    => 'Annuleer aanpassingen in $1'

);
